std::error_condition(3)

NAME
std::error_condition

SYNOPSIS

#include <system_error>

  Public Member Functions
error_condition () noexcept
Initialize with a zero (no error) value and the generic category.
template<typename _ErrorConditionEnum , typename = _Check<_ErrorConditionEnum>> error_condition (_ErrorConditionEnum __e) noexcept
Initialize with a user-defined type, by calling make_error_condition.
error_condition (const error_condition &)=default
error_condition (int __v, const error_category &__cat) noexcept
Initialize with the specified value and category.
void assign (int __v, const error_category &__cat) noexcept
Set the value and category.
const error_category & category () const noexcept
The error category that this error belongs to.
void clear () noexcept
Reset the value and category to the default-constructed state.
string message () const
The category's description of the value.
operator bool () const noexcept
Test whether value() is non-zero.
error_condition & operator= (const error_condition &)=default
int value () const noexcept
The error value.

  Related Symbols
(Note that these are not member symbols.)
error_condition make_error_condition (errc __e) noexcept
strong_ordering operator (const error_condition &__lhs, const error_condition &__rhs) noexcept
bool operator== (const error_code &__lhs, const error_code &__rhs) noexcept
bool operator== (const error_code &__lhs, const error_condition &__rhs) noexcept
bool operator== (const error_condition &__lhs, const error_condition &__rhs) noexcept

Detailed Description

Class error_condition

This class represents error conditions that may be visible at an API boundary. Different error_code values that can occur within a library or module might map to the same error_condition.

An error_condition represents something that the program can test for, and subsequently take appropriate action.

Since
    C++11

Constructor & Destructor Documentation

  std::error_condition::error_condition () [inline], [noexcept]

Initialize with a zero (no error) value and the generic category.

  std::error_condition::error_condition (int __v, const error_category & __cat) [inline], [noexcept]

Initialize with the specified value and category.

  template<typename _ErrorConditionEnum , typename = _Check<_ErrorConditionEnum>> std::error_condition::error_condition (_ErrorConditionEnum __e) [inline], [noexcept]

Initialize with a user-defined type, by calling make_error_condition.

References make_error_condition().

Member Function Documentation

  void std::error_condition::assign (int __v, const error_category & __cat) [inline], [noexcept]

Set the value and category.

References std::forward().

Referenced by clear().

  const error_category & std::error_condition::category () const [inline], [noexcept]

The error category that this error belongs to.

Referenced by message().

  void std::error_condition::clear () [inline], [noexcept]

Reset the value and category to the default-constructed state.

References assign(), and std::generic_category().

  string std::error_condition::message () const [inline]

The category's description of the value.

References category(), and value().

  std::error_condition::operator bool () const [inline], [explicit], [noexcept]

Test whether value() is non-zero.

  int std::error_condition::value () const [inline], [noexcept]

The error value.

Referenced by message().

Author

Generated automatically by Doxygen for libstdc++ from the source code.